Log4j Version 1.2.7: Class BasicConfigurator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j
Class BasicConfigurator

    java.lang.Object
      |
      +--org.apache.log4j.BasicConfigurator

public class BasicConfigurator
extends Object

Use this class to quickly configure the package.

For file based configuration see `PropertyConfigurator`. For XML based configuration see `DOMConfigurator`.

Since:
  0.8.1
Author:
  Ceki Gülcü

Constructor Summary
`protected` | `BasicConfigurator()`

Method Summary
`static void` | `configure()` Add a `ConsoleAppender` that uses `PatternLayout` using the `PatternLayout.TTCC_CONVERSION_PATTERN` and prints to `System.out` to the root category.
`static void` | `configure(Appender appender)` Add `appender` to the root category.
`static void` | `resetConfiguration()` Reset the default hierarchy to its defaut.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicConfigurator

    protected BasicConfigurator()

Method Detail

### configure

    public static void configure()

  Add a `ConsoleAppender` that uses `PatternLayout` using the `PatternLayout.TTCC_CONVERSION_PATTERN` and prints to `System.out` to the root category.

### configure

    public static void configure(Appender appender)

  Add `appender` to the root category.
  Parameters:
    `appender` - The appender to add to the root category.

### resetConfiguration

    public static void resetConfiguration()

  Reset the default hierarchy to its defaut. It is equivalent to calling `Category.getDefaultHierarchy().resetConfiguration()`. See `Hierarchy.resetConfiguration()` for more details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.